org.gjt.sp.jedit.msg

## Class VFSUpdate

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.VFSUpdate

-     public class VFSUpdate
      extends EBMessage

  Message sent when a file or directory changes.
  Since:
    jEdit 2.6pre4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VFSUpdate(java.lang.String path)` Creates a VFS update message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPath()` Returns the path that changed.
    `java.lang.String` | `paramString()` Returns a string representation of this message's parameters.

    - ### Methods inherited from class org.gjt.sp.jedit.EBMessage

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VFSUpdate

          public VFSUpdate(java.lang.String path)

      Creates a VFS update message.
      Parameters:
        `path` - The path in question

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Returns the path that changed.

    - #### paramString

          public java.lang.String paramString()

      Description copied from class: `EBMessage`
      Returns a string representation of this message's parameters.
      Overrides:
        `paramString` in class `EBMessage`